Page MenuHomeFreeBSD

vm_phys: Add a vm_phys_seg_paddr_to_vm_page() helper
AcceptedPublic

Authored by markj on Jan 28 2024, 2:36 PM.
Tags
None
Referenced Files
F84952305: D43636.diff
Thu, May 30, 4:05 PM
Unknown Object (File)
Tue, May 21, 1:48 PM
Unknown Object (File)
Fri, May 17, 4:37 AM
Unknown Object (File)
Thu, May 16, 5:47 PM
Unknown Object (File)
Sun, May 12, 12:01 PM
Unknown Object (File)
Thu, May 9, 8:52 PM
Unknown Object (File)
Wed, May 1, 10:31 AM
Unknown Object (File)
Apr 19 2024, 10:52 AM
Subscribers

Details

Reviewers
alc
dougm
kib
Summary

No functional change intended.

Suggested by: alc

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 55664
Build 52553: arc lint + arc unit

Event Timeline

markj requested review of this revision.Jan 28 2024, 2:36 PM
This revision is now accepted and ready to land.Jan 28 2024, 5:05 PM

Despite the long name, it's still two characters shorter than the original code. :-)

dougm added inline comments.
sys/vm/vm_phys.c
941

This could be applied at vm_page.c:787, if it were visible there.

978

If could be used here, if the fields of vm_phys_fictitious_seg were reordered.

markj added inline comments.
sys/vm/vm_phys.c
941

I made the function externally visible.

978

I think I'd prefer to leave this case as it is. If there were more instances of this pattern, I'd be more inclined to take the suggestion.

markj marked an inline comment as done.

Incorporate one of Doug's suggestions.

This revision now requires review to proceed.Jan 29 2024, 4:33 PM
This revision is now accepted and ready to land.Jan 29 2024, 4:54 PM